Add new gift card movement

Return the giftcard updated

Amount must be always positive. Type can be unload or restore

  • if type is unload => giftcard must be active, and giftcard.last_value - amount > 0;
  • if type is restore => giftcard must not be deleted and not expired, amount + last_value <= init_value;
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

uuid of the Gift Cards that need to be updated

Body Params
number
required

It is always positive. If it is a restore = sum of this amount with the last_value of the giftcards can not be greater than giftcards.initial_value. If it is an unload difference between last_value and amount can not be less than 0.

string
uuid

sale origin of the movement

string
enum
required
Allowed:
Responses

422

Error: Unprocessable Entity

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json